import { PublicKey } from '@solana/web3.js';
import { Program } from '@metaplex-foundation/mpl-core';
export declare class MetadataProgram extends Program {
    static readonly PREFIX = "metadata";
    static readonly EDITION = "edition";
    static readonly USER = "user";
    static readonly COLLECTION_AUTHORITY = "collection_authority";
    static readonly BURN = "burn";
    static readonly PUBKEY: PublicKey;
    static find_edition_account(mint: PublicKey, edition_number: string): Promise<[PublicKey, number]>;
    static find_master_edition_account(mint: PublicKey): Promise<[PublicKey, number]>;
    static find_metadata_account(mint: PublicKey): Promise<[PublicKey, number]>;
    static find_use_authority_account(mint: PublicKey, authority: PublicKey): Promise<[PublicKey, number]>;
    static find_collection_authority_account(mint: PublicKey, authority: PublicKey): Promise<[PublicKey, number]>;
    static find_program_as_burner_account(): Promise<[PublicKey, number]>;
}
